import { Buffer } from "buffer";
import { Pointer } from "./pointers";
import { HTTPRequest } from "./types";
import { PromiseFsClient } from "isomorphic-git";
/**
 * Downloads, caches and returns a blob corresponding to given LFS pointer.
 * Uses already cached object, if size matches.
 */
export default function downloadBlobFromPointer({ promises: fs }: PromiseFsClient, { http: { request }, headers, url, auth }: HTTPRequest, { info, objectPath }: Pointer): Promise<Buffer>;
