import { Buffer } from "buffer";
export interface PointerInfo {
    /** OID (currently, SHA256 hash) of actual blob contents. */
    oid: string;
    /** Actual blob size in bytes. */
    size: number;
}
export interface Pointer {
    info: PointerInfo;
    /** Absolute path to actual blob in LFS cache. */
    objectPath: string;
}
export declare function readPointerInfo(content: Buffer): PointerInfo;
interface PointerRequest {
    dir: string;
    gitdir?: string;
    content: Buffer;
}
export declare function readPointer({ dir, gitdir, content, }: PointerRequest): Pointer;
/** Formats given PointerInfo for writing in Git tree. */
export declare function formatPointerInfo(info: PointerInfo): Buffer;
export declare function buildPointerInfo(content: Buffer): Promise<PointerInfo>;
export {};
