import { GitProgressEvent, HttpClient, PromiseFsClient } from "isomorphic-git";
type ProgressHandler = (progress: GitProgressEvent) => void;
/**
 * Populates LFS cache for each repository object that is an LFS pointer.
 *
 * Does not touch working directory.
 *
 * NOTE: If LFS cache path, as extracted from the pointer,
 * is not writeable at the time of download start,
 * the object will be silently skipped.
 *
 * NOTE: This function skips objects silently in case of errors.
 *
 * NOTE: onProgress currently doesn’t report loaded/total values accurately.
 */
export default function populateCache(fs: PromiseFsClient, http: HttpClient, workDir: string, remoteURL: string, ref?: string, onProgress?: ProgressHandler): Promise<void>;
export {};
