import { Buffer } from "buffer";
import { BasicAuth } from "./types";
import { PromiseFsClient } from "isomorphic-git";
export declare const SPEC_URL = "https://git-lfs.github.com/spec/v1";
export declare const LFS_POINTER_PREAMBLE: string;
/** Returns true if given blob represents an LFS pointer. */
export declare function pointsToLFS(content: Buffer): boolean;
/**
 * Returns properly encoded HTTP Basic auth header,
 * given basic auth credentials.
 */
export declare function getAuthHeader(auth: BasicAuth): Record<string, string>;
/**
 * Returns true if given path is available for writing,
 * regardless of whether or not it is occupied.
 */
export declare function isWriteable({ promises }: PromiseFsClient, filepath: string): Promise<boolean>;
/**
 * Returns true if given path is available for writing
 * and not occupied.
 */
export declare function isVacantAndWriteable(filepath: string): Promise<boolean>;
export declare function bodyToBuffer(body: Uint8Array[]): Promise<Buffer>;
export declare function toHex(buffer: ArrayBuffer): string;
